MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_list.h File Reference

`#include <stdbool.h>`

Go to the source code of this file.

## Functions
void | playlist_list_global_init (void)
| Initializes all playlist plugins.
void | playlist_list_global_finish (void)
| Deinitializes all playlist plugins.
struct playlist_provider * | playlist_list_open_uri (const char *uri)
| Opens a playlist by its URI.
struct playlist_provider * | playlist_list_open_stream (struct input_stream *is, const char *uri)
| Opens a playlist from an input stream.
bool | playlist_suffix_supported (const char *suffix)
| Determines if there is a playlist plugin which can handle the specified file name suffix.
struct playlist_provider * | playlist_list_open_path (const char *path_fs, struct input_stream **is_r)
| Opens a playlist from a local file.

## Function Documentation

void playlist_list_global_finish | ( | void |  | ) |

Deinitializes all playlist plugins.

void playlist_list_global_init | ( | void |  | ) |

Initializes all playlist plugins.

struct playlist_provider* playlist_list_open_path | ( | const char * | path_fs,
|  | struct input_stream ** | is_r
| ) |  | `[read]`

Opens a playlist from a local file.

Parameters:

  path_fs | the path of the playlist file
  is_r | on success, an input_stream object is returned here, which must be closed after the playlist_provider object is freed

Returns:
  a playlist, or NULL on error

struct playlist_provider* playlist_list_open_stream | ( | struct input_stream * | is,
|  | const char * | uri
| ) |  | `[read]`

Opens a playlist from an input stream.

Parameters:

  is | an input_stream object which is open and ready
  uri | optional URI which was used to open the stream; may be used to select the appropriate playlist plugin

struct playlist_provider* playlist_list_open_uri | ( | const char * | uri | ) | `[read]`

Opens a playlist by its URI.

bool playlist_suffix_supported | ( | const char * | suffix | ) |

Determines if there is a playlist plugin which can handle the specified file name suffix.